Name "UTF8 to ANSI"
OutFile "UTF82ANSI.exe"
ShowInstDetails show

RequestExecutionLevel user

!macro UTF2ANSI FILENAME
	StrCpy $0 "${FILENAME}_UTF8.nsh"
	StrCpy $1 "${FILENAME}.nsh"
	StrCpy $2 UTF-8

	unicode::FileUnicode2Ansi "$0" "$1" $2
	Pop $3

	DetailPrint 'unicode::FileUnicode2Ansi "$0" "$1" $2'
	DetailPrint "$3"
	DetailPrint ""
!macroend

Section
	!insertmacro UTF2ANSI "TradChinese"
	!insertmacro UTF2ANSI "SimpChinese"
SectionEnd